Bug 1372277 - The .all index is displayed for ordinary user without cluster-admin right
Summary: The .all index is displayed for ordinary user without cluster-admin right
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: ewolinet
QA Contact: chunchen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-01 10:17 UTC by Xia Zhao
Modified: 2017-03-08 18:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The OpenShift-Elasticsearch-Plugin did not remove the '.all' Kibana mapping for users that were cluster-admin but then had the role reverted. Consequence: If a user was no longer a cluster-admin they would still be able to view the '.all' Kibana mapping. They wouldn't be able to see the logs for projects they didn't have access to, but they would still incorrectly see the mapping. Fix: Update the OpenShift-Elasticsearch-Plugin to remove the '.all' Kibana mapping to users that are not cluster-admin. Result: Ordinary users are not able to see the '.all' mapping if they are no longer cluster-admins
Clone Of:
Environment:
Last Closed: 2016-09-27 09:47:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
deployer_log (60.33 KB, text/plain)
2016-09-01 10:28 UTC, Xia Zhao
no flags Details
es_log (81.54 KB, text/plain)
2016-09-01 10:28 UTC, Xia Zhao
no flags Details
kibana_log (190.01 KB, text/plain)
2016-09-01 10:29 UTC, Xia Zhao
no flags Details
fluentd_log (8.66 KB, text/plain)
2016-09-01 10:29 UTC, Xia Zhao
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Comment 1 Xia Zhao 2016-09-01 10:28:22 UTC
Created attachment 1196690 [details]
deployer_log

Comment 2 Xia Zhao 2016-09-01 10:28:56 UTC
Created attachment 1196691 [details]
es_log

Comment 3 Xia Zhao 2016-09-01 10:29:23 UTC
Created attachment 1196692 [details]
kibana_log

Comment 4 Xia Zhao 2016-09-01 10:29:49 UTC
Created attachment 1196694 [details]
fluentd_log

Comment 12 Xia Zhao 2016-09-05 01:53:15 UTC
Set to verified according to comment #10

Comment 14 errata-xmlrpc 2016-09-27 09:47:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1933


Note You need to log in before you can comment on or make changes to this bug.